### Method

# Gtk SpinButtonset_update_policy

#### Declaration [src]

    void
    gtk_spin_button_set_update_policy (
      GtkSpinButton* spin_button,
      GtkSpinButtonUpdatePolicy policy
    )

#### Description [src]

Sets the update behavior of a spin button.

This determines whether the spin button is always updated or only when a valid value is set.

Sets property | `Gtk.SpinButton:update-policy`

#### Parameters

`policy`

  Type: `GtkSpinButtonUpdatePolicy`

  A `GtkSpinButtonUpdatePolicy` value.